#import <objc/Object.h>
#import <appkit/graphics.h>

typedef struct { float l,b,r,t; } BRECT;

@interface Fish:Object
{
	float	WIDTH;
	float	HEIGHT;

	int	imageNum;	// Someday I should be able to do animate the fish better

	NXSize	sizeOfAquar;

	NXRect	old;
	NXPoint	fishTo;
	NXPoint	redrawTo;
	NXRect	redraw;

	id	fish;
	id	buffer;

	id	brain;

	id	aquarium;		    // the fish's aquarium (or view)

	BOOL	direction;	// Possibly an object dedicated to this??


}

- init:sender;
- move:listOfFish;
- viewDidResize;
- (NXRect)getRect;
- simpleDraw:(NXPoint *)point;
- clearBuffer;

@end
