/*
 * Module:
 *	HostFont
 *
 * Author:
 *	Doug "Kareth" McClure
 *	asd@cc.purdue.edu
 *	XASD@PURCCVM.BITNET
 *
 * Version: 1.0
*/

#import "HostFontView.h"
#import "Thinker.h"
#import "HostFontWraps.h"
#import <appkit/NXImage.h>
#import <appkit/Window.h>
#import <appkit/Panel.h>                // for NXRunAlertPanel()
#import <dpsclient/wraps.h>
#import <libc.h>
#import <math.h>

@implementation HostFontView

- oneStep
{
  PSsendstring(hostName);
  PSsendfloat(ySize);
  PSsendfloat(xSize);
  psHostFontRun();
  
  return self;
}


- initFrame:(NXRect *)frameRect
{
  [super initFrame:frameRect];
  [self newSize];
  PSsetgray(0.333);
  gethostname(hostName, 128);

  return self;
}


- sizeTo:(NXCoord)width :(NXCoord)height
{
  [super sizeTo:width :height];
  [self newSize];

  return self;
}


- newSize
{
  xSize = bounds.size.width;
  ySize = bounds.size.height;

  return self;
}

@end
