#import "BackView.h"
#import "psfuncts.h"

@interface AlarmView:BackView
{
  int sec, min, hour;
  NXSize oldSize;
  NXPoint loc;
  char timestr[80];
  id font;
  id newfont;
  id inspectorPanel;
  id time;
  id slide_fade;
  id alarmSound;
  id aHour;
  id aMin;
  id am_pm;
  id font_name;
  id sound_name;
  id hourSlider;
  id minSlider;
  BOOL slide;
  BOOL font_changed;
  id dummyView;
  float timeGray;
}

- drawTime;
- eraseTime;
- dissolveTime;
- moveTime;
- inspector:sender;
- oneStep;
- (const char *)windowTitle;
- (BOOL)useBufferedWindow;
- openFile:(char *)fileName;
- open:sender;
- setAlarmSound:newsound;
- playAlarmSound:sender;
- alarm:sender;
- setTime:sender;
- setTimeWithSlider:sender;
- setAlarm:sender;
- readDefaults;
- setFade:sender;
- enteredScreenSaverMode;
- willExitScreenSaverMode;
- (int)validHour:(int)val;
- formatAlarmFields;
- didLockFocus;
- changeFont:newfont;
- setAlarmFont:sender;
- makeDummyFirstResponder;
- resetAlarm;

@end;
