#import "BackView.h"
#define NUMPOINTS 40
#define PI 3.1415926
#define R 28.0
#define S 10.0 
#define B 2.666666666
#define delta_T (0.01 * (25.0 / R ) )
#define Xmin -25.0
#define Ymin -30.0
#define Yrange 60.0
#define Xrange 50.0 
#define CHASERS 20
#define RED 0
#define GREEN 1
#define BLUE 2

#define UP 0
#define DOWN 1
#define RIGHT 2
#define LEFT 3
#define CENTER 4

//@interface LorenzView:BackView
@interface LorenzCrossView:View
{
  int p,n;
  int points[CHASERS];
  

  double X[5],Y[5],Z[5];

  float urx,ury, midx, midy,cos_arg;
  float xc[NUMPOINTS][5],yc[NUMPOINTS][5]; 
  double xdot,ydot,zdot; 
  int j,i,red_shift,blue_shift;
  float cl_clut[CHASERS],twobit_clut[CHASERS]; 
  float *clut; 
}

- oneStep;
- newSize;
@end

