/*																				*/
/* Copyright (c) 1991															*/
/* Pages / KVM  Banzai Research Inst.											*/
/* 3914 Murphy Cyn Rd.															*/
/* San Diego, CA 92123															*/
/* (619) 492-9050																*/
/*																				*/

/* RCS History Section-------------------------------------------------------	*/

#ifdef RCSID
static char _rcsid[] = "$Header$";
#endif

/*
 * $Log$
 */


/* RCS History Section-------------------------------------------------------	*/


/* Description --------------------------------------------------------------	*/
/*  																			*/
/*		This object is the programatic representation of a toaster (or piece	*/
/*		of toast). This is where most of the work for toasters gets done.		*/
/*  																			*/
/*  	Nov 14, 1991: Bruce Henderson (bruce@pages.com)							*/
/*  																			*/
/* Description --------------------------------------------------------------	*/

#import <objc/Object.h>
#import <appkit/graphics.h>

#define MAX_FRAME		3
#define MIN_FRAME		0

#define T_TOASTER		0
#define T_TOAST		1
#define T_EGGIE		2

@interface FlyingImage:Object
{
	NXRect		target;
	id				image;
	id				owner;
	int			frame;
	float			speed;
	int			foodType;
	BOOL			increment;
}

- initAtPoint:(NXPoint*)start andSpeed:(float)moveSpeed foodType:(int)foodFlag for:owningView;

- move:ownerWindow;

- setPostition:(NXPoint)startPoint;

- setImageFrame:(int)startFrame;

- display;

- (NXRect)targetRect;

- (float)speed;

- setSpeed:(float)newSpeed;

@end